- object: df
  method: fill_nan
  args: []
  kwargs: {}
  setas: df
- object: df
  method: astype
  args:
    [
      {
        "ProteinBreedCodesIRN_Progeny": "object",
        "ProteinProductsAnimalsIRN_Progeny": "object",
        "ProteinProductsAnimalsIRN_OS": "object",
        "ProteinFarmsIRN": "object",
        "ProteinBreedCodesIRN": "object",
        "ProteinGrowoutCodesIRN": "object",
        "ProteinFacilityFeedMillsIRN": "object",
        "ProteinProductsAnimalsIRN": "object",
        "ProteinTechAdvisorsIRN": "object",
        "ComplexEntityNo": "object",
        "SpeciesType": "int64",
        "DivisionNo": "object",
        "ProteinFacilityHatcheriesIRN": "object",
        "MonthPlaced": "int64",
        "ProteinEntitiesIRN": "object",
        "ProductionPercent": "float64",
        "xDate": "datetime64[ns]",
        "StartDate": "datetime64[ns]",
        "Age": "float64",
        "TransferAge": "int64",
        "CityNo": "object",
        "CityName": "object",
        "StateNo": "object",
        "StateName": "object",
        "CountryNo": "object",
        "CountryName": "object",
        "Zip": "object",
        "FeelsLikeTemp": "float64",
        "Temp": "float64",
        "HighTemp": "float64",
        "LowTemp": "float64",
        "MonthNo": "int64",
        "WeekPlaced": "int64",
        "WOL": "int64",
        "TransferAgeDays": "int64",
        "WeekNo": "int64",
        "PrecipitationPercentage": "float64",
        "DaylightHours": "float64",
        "HumidityPercentage": "float64",
        "PercentMaleMortality": "float64",
        "PercentFemaleMortality": "float64",
        "HatchabilityPercent": "float64",
        "FemaleInventory": "int64",
        "MaleInventory": "int64",
        "EggsSet": "int64",
        "ChicksHatch": "int64",
        "AvgEggAge": "float64",
      },
    ]
  kwargs: {}
  setas: df
- object: builtins
  method: eval
  args: ["round(self.df['Age'] + 0.21)"]
  kwargs: {}
  setas: df["stdPredAge"]
- object: df
  method: query
  args: [
      "0.1 < PercentFemaleMortality < 100.0 and
      WOL > -3 and
      FemaleInventory > 0 and
      MaleInventory > 0 and
      24 <= stdPredAge <= 70",
    ]
  kwargs: {}
  setas: df
- object: df
  method: rename
  args: []
  kwargs: { columns: { "xDate": "Date", "PercentFemaleMortality": "Label" } }
  setas: df
- object: df
  method: filter
  args: []
  kwargs:
    {
      items:
        [
          "Date",
          "ProteinBreedCodesIRN_Progeny",
          "ProteinProductsAnimalsIRN_Progeny",
          "ProteinFarmsIRN",
          "ProteinBreedCodesIRN",
          "ProteinGrowoutCodesIRN",
          "ProteinFacilityFeedMillsIRN",
          "ProteinProductsAnimalsIRN",
          "DivisionNo",
          "ProteinFacilityHatcheriesIRN",
          "MonthPlaced",
          "stdPredAge",
          "MonthNo",
          "WeekPlaced",
          "WOL",
          "WeekNo",
          "Label",
        ],
    }
  setas: df
- object: df
  method: rename
  args: []
  kwargs:
    {
      columns:
        {
          "Date": "date",
          "ProteinBreedCodesIRN_Progeny": "proteinBreedCodesIRN_Progeny",
          "ProteinProductsAnimalsIRN_Progeny": "proteinProductsAnimalsIRN_Progeny",
          "ProteinFarmsIRN": "proteinFarmsIRN",
          "ProteinBreedCodesIRN": "proteinBreedCodesIRN",
          "ProteinGrowoutCodesIRN": "proteinGrowoutCodesIRN",
          "ProteinFacilityFeedMillsIRN": "proteinFacilityFeedMillsIRN",
          "ProteinProductsAnimalsIRN": "proteinProductsAnimalsIRN",
          "DivisionNo": "divisionNo",
          "ProteinFacilityHatcheriesIRN": "proteinFacilityHatcheriesIRN",
          "MonthPlaced": "monthPlaced",
          "stdPredAge": "stdPredAge",
          "MonthNo": "monthNo",
          "WeekPlaced": "weekPlaced",
          "WOL": "wol",
          "WeekNo": "weekNo",
          "Label": "label",
        },
    }
  setas: df
- object: df
  method: time_train_test_split
  args: []
  kwargs: { test_size: 0.1, date_col: "date" }
  setas: [train, test]
- object: train
  method: astype
  args:
    [
      {
        "date": "datetime64[ns]",
        "proteinBreedCodesIRN_Progeny": "object",
        "proteinProductsAnimalsIRN_Progeny": "object",
        "proteinFarmsIRN": "object",
        "proteinBreedCodesIRN": "object",
        "proteinGrowoutCodesIRN": "object",
        "proteinFacilityFeedMillsIRN": "object",
        "proteinProductsAnimalsIRN": "object",
        "divisionNo": "object",
        "proteinFacilityHatcheriesIRN": "object",
        "monthPlaced": "int64",
        "stdPredAge": "int64",
        "monthNo": "int64",
        "weekPlaced": "int64",
        "wol": "int64",
        "weekNo": "int64",
        "label": "float64",
      },
    ]
  kwargs: {}
  setas: train
- object: test
  method: astype
  args:
    [
      {
        "date": "datetime64[ns]",
        "proteinBreedCodesIRN_Progeny": "object",
        "proteinProductsAnimalsIRN_Progeny": "object",
        "proteinFarmsIRN": "object",
        "proteinBreedCodesIRN": "object",
        "proteinGrowoutCodesIRN": "object",
        "proteinFacilityFeedMillsIRN": "object",
        "proteinProductsAnimalsIRN": "object",
        "divisionNo": "object",
        "proteinFacilityHatcheriesIRN": "object",
        "monthPlaced": "int64",
        "stdPredAge": "int64",
        "monthNo": "int64",
        "weekPlaced": "int64",
        "wol": "int64",
        "weekNo": "int64",
        "label": "float64",
      },
    ]
  kwargs: {}
  setas: test
